!!! 5
%html{lang: "en"}
  %head
    - current_page.data.description = event.description
    - if event.canonical_path
      - current_page.data.canonical_path = event.canonical_path
    = partial "includes/layout/head"
  %body
    = partial "includes/google/gtm"
    = partial "includes/layout/header"
    = partial "includes/layout/headline"
    .blank-header{ style: "background: url('#{event.header_background}') center center no-repeat; background-size: cover;" }
      .header-content
        - if event.header_image
          = image_tag "#{event.header_image}", class: "event-logo", alt: "#{event.topic} gitlab event image"
        - else
          = image_tag "/images/devops-tools/gitlab-logo.svg", class: "event-logo", alt: "GitLab logo svg"
        %h1
          = event.topic
        %p
          = event.header_description
        - if event.cta_button_url
          %div
            %a{href: "#{event.cta_button_url}", class: "btn cta-btn orange"}
              #{event.cta_button_text}
    .gitlab-content-container
      .tile.event-details
        .tile-content.full-width.flex-container.flex-column.justify-center.align-center
          = image_tag "/images/events/event-date-icon.svg", class: "tile-icon-medium", alt: "#{event.topic} date icon svg"
          - if event.date_starts == event.date_ends
            %h4= event.date_ends
          - else
            %h4= event.date_starts + ' - ' + event.date_ends
        .tile-content.full-width.flex-container.flex-column.justify-center.align-center
          = image_tag "/images/events/event-location-icon.svg", class: "tile-icon-medium", alt: "#{event.topic} location icon svg"
          %h4
            = event.location
        - if event.booth? || event.booth == ""
          .tile-content.full-width.flex-container.flex-column.justify-center.align-center
            = image_tag "/images/events/event-booth-icon.svg", class: "tile-icon-medium", alt: "#{event.topic} booth icon svg"
            %h4
              = event.booth

      .content.flex-container.flex-column-md
        .body-content
          = kramdown(event.content)
        - if event.form
          .event-form-container
            - if Date.parse(event['date_ends']) >= Date.today
              %h3.margin-top0= event.form.title
              - if event.form.description? || event.form.description == ""
                %p
                  = event.form.description
              %script{src: "//page.gitlab.com/js/forms2/js/forms2.min.js"}
              %form{id: "mktoForm_#{event.form.number}"}
              :javascript
                var formNumber = #{event.form.number || 'null'};
                MktoForms2.setOptions(
                {
                  formXDPath : "/rs/194-VVC-221/images/marketo-xdframe-relative.html"
                });
                MktoForms2.loadForm("//page.gitlab.com", "194-VVC-221", formNumber, function(form) {
                  //
                  if(typeof(Demandbase) === "object"){
                    Demandbase.utils.loadFormModule();
                  };
                  form.onSuccess(function() {
                    form.getFormElem().hide();
                    dataLayer.push(
                    {
                      'event' : 'events', 
                      'mktoFormId' : form.getId(),
                      'eventCallback' : function()
                      {
                        $('.confirmform').attr('style', 'visibility: visible');
                        $('.confirmform').attr('style', 'height: initial');
                      }, 'eventTimeout' : 3000
                    });
                    return false;
                  });
                });
              .confirmform{ style: "visibility:hidden;height:0;" }
                .centered-form-info
                  %h3 Registration Received!
                  - if event.form.success_message
                    %p
                      = event.form.success_message
                  - else
                    %p Thank you for registering. You will receive an email with additional webcast details.
            - else
              %p
                We are no longer accepting registrations as the date of the event has passed. Please feel free to browse
                our upcoming events
                = succeed "." do
                  = link_to "/events/" do
                    here
      - if event.speakers && event.speakers.length > 0
        .content.speakers-container
          - event.speakers.each do |speaker|
            .tile.speaker-container
              - if speaker.image
                .speaker-image-container
                  = image_tag "#{speaker.image}", alt: "#{speaker.name}"
              .speaker-content-container
                - if speaker.topic
                  %h3.speaker-topic.margin-top0
                    = kramdown(speaker.topic)
                - if speaker.name
                  %p.speaker-name
                    = speaker.name
                - if speaker.title
                  %br
                  = speaker.title
                .speaker-time-place.font-bold.flex-container
                  - if speaker.date
                    %p
                      = speaker.date
                    %p.spacer -
                  - if speaker.time
                    %p
                      = speaker.time
                    %p.spacer -
                  - if speaker.location
                    %p
                      = speaker.location
                %p
                  = kramdown(speaker.description)

    = partial "includes/layout/footer"

    - if event.topic == "GitLab Contribute"
      %script{ src: "/javascripts/countdown.js", type: "text/javascript" }
      %script{ src: "/javascripts/contribute.js", type: "text/javascript" }
